/* Test de classes sans et avec initialisation */

public class TestInitialisationClasseEnConsole {

/* Stockage d'une date sans initialisation     */

  static class DateSansInit {
    int jour;
    int mois;
    int annee; };

/* Stockage d'une date avec initialisation     */

  static class DateAvecInit {
    int jour = 1;
    int mois = 1;
    int annee = 1901; };

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("TestInitialisationClasse");
    DateSansInit d1 = new DateSansInit();
    DateAvecInit d2 = new DateAvecInit();
    Console.afficher("Date 1 : ");
    Console.afficherln(d1.jour,":",
                     d1.mois,":",
                     d1.annee);
    Console.afficher("Date 2 : ");
    Console.afficherln(d2.jour,":",
                     d2.mois,":",
                     d2.annee);
  }
}